Create repository connection
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
account?|nullbase_url*Base UrlFormat
uriLength
1 <= length <= 2083name*NameLength
1 <= length <= 255provider*ProviderValue in
"gitlab""bitbucket"token*TokenFormat
passwordSuccessful Response
application/json- response
account*Accountactive*Activebase_url*Base Urlcreated_at*Created AtFormat
date-timecreated_by*Created ByFormat
uuidcredential_kind?Credential Kindapi_token: a pasted access token. oauth_app: connected through Veriom's OAuth app, refreshed by Veriom; reconnect it when last_error_code is repository_oauth_reconnect_required.
Default
"api_token"Value in
"api_token""oauth_app"has_credential?Has CredentialDefault
trueid*IdFormat
uuidlast_error_code*string|nulllast_synced_at*|nullname*Nameprovider*ProviderValue in
"gitlab""bitbucket"repository_count?Repository CountDefault
0workspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repository-connections' \ -H 'Content-Type: application/json' \ -d '{ "base_url": "http://example.com", "name": "string", "provider": "gitlab", "token": "pa$$word"}'Example Response
{ "account": "string", "active": true, "base_url": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "credential_kind": "api_token", "has_credential": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_error_code": "string", "last_synced_at": "2019-08-24T14:15:22Z", "name": "string", "provider": "gitlab", "repository_count": 0, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}